One-time payment

POST
api/v3/initials/one-time/url
lts

Intended for generating a checkout URL for a one-time payment (one-time payment) without linking it to products.

Purpose

  1. Creates a one-time payment for any merchant.
  2. Allows the merchant to provide any price and currency.
  3. Creates an order and an order-product with autocharge disabled.

Merchant requirements

  1. Must have at least one product with an English translation.
Header parameters
Attribute
Requirement
Description
x-public-key
mandatory
a public key that identifies the merchant account (there can be several for one merchant)
x-buyer-ip
mandatory
is responsible for information about the buyer's IP address
x-date
mandatory
is responsible for the date and time of sending the request
x-token
mandatory
generated on the merchant side
x-source
mandatory
pass the value shop
x-id
mandatory
merchant name
x-google-analytics-client-id
optional
client identifier for Google Analytics
Request parameters
Attribute
Type
Requirement
Description
Standard
returnUrl
string
mandatory
The full URL of the merchant page to which the user will be redirected after a successful payment.

NOTE: The merchant may include custom query parameters in the URL using placeholders for values provided in metaData or buyerMeta. These placeholders will be automatically replaced with the corresponding values from the request.
-
price
object
mandatory
Product information for purchase
-
buyer
object
mandatory
Information about the buyer trying to make the payment.
When generating orders from the Shop, the transfer of this key is MANDATORY
-
metaData
object
optional
Object of type “key-value”, to transmit the internal meta-information of the merchant
(this data is not used by the backend and is transmitted when sending various events on the order)
-
Response parameters
Attribute
Type
Description
data
object
Contains information related to the created order
meta
object
Provides metadata about the response
{
  "data": {
    "url": "https://some.url/AHL4y8iW",
    "params": {
      "metaData": {
        "foo": "bar"
      },
      "sequence": "null",
      "discount": "null",
      "coupon": "null",
      "googleAnalyticsClientId": "null"
    }
  },
  "meta": {
    "type": "entity"
  }
}
Errors and interpretation

The list of possible errors for this endpoint, along with their types and interpretation, is provided in the general reference: Endpoint response errors.